#!/usr/bin/perl
use warnings;
use strict;

# UNLESS WE HAVE TWO INPUTS, SHOW DIE WITH USAGE.
if (scalar @ARGV != 2) {
 my $usage =<<"EOT";
Usage: $0 DOORNUM FOBNUM
 DOORNUM is a number of format BFFDDD (BUILDING, FLOOR, NUMBER - e.g. A01101)
 FOBNUM is 16 hex digits.
EOT
 die "\n$usage\n";
}

my $door_number = shift;
my $fob_number	= shift;
print "Validating [$fob_number] has access to [$door_number]...  ";

my %access_hash = (
 '0123456789ABCDEF'	=>
  {
  'A01101' => 1,
  'A01102' => 1,
  'A01103' => 1,
  'A01104' => 1,
  },
 '123456789ABCDEF0'	=>
  {
  'B01101' => 1,
  'B01102' => 1,
  'B01103' => 1,
  'B01104' => 1,
  },
);

if (exists $access_hash{$fob_number}{$door_number})
 { print "OK.\n"; }
else { print "ACCESS DENIED.\n"; }
