#!/usr/bin/perl
use warnings;
use strict;
use Mymodule;

# UNLESS WE HAVE TWO INPUTS, SHOW DIE WITH USAGE.
if (scalar @ARGV != 2) {
 my $usage =<<"EOT";
Usage: $0 DOORNUM FOBNUM
 DOORNUM is a number of format BFFDDD (BUILDING, FLOOR, NUMBER - e.g. A01101)
 FOBNUM is 16 hex digits.
EOT
 die "\n$usage\n";
}

my $door_number = shift;
my $fob_number	= shift;
print "Validating [$fob_number] has access to [$door_number]...  ";

Mymodule::test_access($door_number, $fob_number);