#!/usr/bin/perl
use warnings;
use strict;
use Test::More tests => 7;
use Fobaccess;

my @good_array = ('A01101', '0123456789ABCDEF');
ok(Fobaccess::validate_input(@good_array),
   'Two inputs expected for validate_input()');

like(Fobaccess::validate_input('only1val'),
   qr/Usage/, 'One input fails as expected for validate_input()');

like(Fobaccess::validate_input('3vals', '3vals', '3vals'),
   qr/Usage/, 'Three inputs fail as expected for validate_input()');

like(Fobaccess::test_access('only1val'),
   qr/Invalid number/, 'One input fails as expected for test_access()');

like(Fobaccess::test_access('3vals', '3vals', '3vals'),
   qr/Invalid number/, 'One input fails as expected for test_access()');

like(Fobaccess::test_access(@good_array),
   qr/Yes/, 'Two valid inputs OK for test_access()');

like(Fobaccess::test_access('not_a_fob', 'not_a_door'),
   qr/No/, 'Two invalid inputs for test_access() fail as expected');

