package Fobaccess;

use warnings;
use strict;

sub validate_input {
 # UNLESS WE HAVE TWO INPUTS, SHOW DIE WITH USAGE.
 if (scalar @_ != 2) {
  my $usage =<<"EOT";
Usage: $0 DOORNUM FOBNUM
 DOORNUM is a number of format BFFDDD (BUILDING, FLOOR, NUMBER - e.g. A01101)
 FOBNUM is 16 hex digits.
EOT
  return $usage;
 }
return 'OK';
}

sub test_access {
 if (scalar @_ != 2)
  { return "Invalid number of inputs"; }

 my $door_number = shift;
 my $fob_number = shift;
 if (($fob_number eq '0123456789ABCDEF') && ($door_number eq 'A01101'))
  { return 'Yes'; }
 elsif (($fob_number eq '0123456789ABCDEF') &&	($door_number eq 'A01102'))
  { return 'Yes'; }
 else { return 'No'; }
}

1;
